Package org.italiangrid.voms.store

# Interface LSCFileParser

All Known Implementing Classes:
  `DefaultLSCFileParser`

public interface LSCFileParser
This interface defines a parser for VOMS LSC files.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`LSCFile`
`parse(String vo, String hostname, File file)`
Parses an LSC file.
`LSCFile`
`parse(String vo, String hostname, InputStream is)`
Parses an LSC file from a generic input stream.

## Method Details

### parse

LSCFile parse(String vo, String hostname, File file)
Parses an LSC file.

Parameters:
  `vo` - the name of the VO this LSC file is about
  `hostname` - the name of host this LSC file is about
  `file` - the LSC file
Returns:
  an `LSCFile` object
Throws:
  `VOMSError` - in case of parsing errors

### parse

LSCFile parse(String vo, String hostname, InputStream is)
Parses an LSC file from a generic input stream.

Parameters:
  `vo` - the name of the VO this LSC file is about
  `hostname` - the name of host this LSC file is about
  `is` - an `InputStream` that contains the LSC information
Returns:
  an `LSCFile` object
Throws:
  `VOMSError` - in case of parsing errors